.header {
    top: 0;
    left: 0;
    right: 0;
    z-index: 900;
    position: fixed;
    background: $white;
    box-shadow: 0px -4px 24px rgba(24, 25, 26, 0.18);

    &__row {
        height: rem(74);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        display: block;
        width: rem(172);
    }

    &__content {
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }

    &__hamburger {
        font-size: 0;
        line-height: 0;
        display: block;
        flex-shrink: 0;
    }

    &__layout {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1450;
        opacity: 0;
        visibility: hidden;
        position: fixed;
    }

    &__lng {
        margin-right: rem(10);
    }

    &__profile {
        display: none;
    }

    &__nav {
        display: none;
        font-size: 0;
        line-height: 0;
    }

    &__message {
        display: none;
    }

    @include media-breakpoint-up(md) {

        &__row {
            height: rem(92);
        }

        &__logo {
            width: rem(215);
        }

        &__lng {
            margin-right: rem(30);
        }

        &__profile {
            display: block;
            margin-right: rem(30);
        }
    }

    @include media-breakpoint-up(xl) {
        position: relative;

        .container {
            max-width: 87rem !important;
        }

        &__hamburger {
            display: none;
        }

        &__nav {
            display: block;
        }

        &__message {
            display: block;
            margin-right: rem(30);
        }
    }

    @include media-breakpoint-up(xxl) {

        .container {
            max-width: 87rem !important;
        }
    }
}

.hamburger {
    width: 44px;
    height: 44px;
    position: relative;
    display: block;
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    cursor: pointer;
    background: transparent;

    span,
    &:after,
    &:before {
        left: calc(50% - 13px);
        width: 26px;
        content: '';
        display: inline-block;
        position: absolute;
        transition-property: transform;
        transition-duration: .15s;
        transition-timing-function: ease;
    }

    &:after,
    &:before {
        height: 2px;
        background-color: #331F12;
    }

    span {
        top: 17px;
        height: 9px;
        border-top: 2px solid #331F12;
        border-bottom: 2px solid #331F12;
    }

    &:after {
        top: 10px;
    }

    &:before {
        bottom: 11px;
    }

    &.hamburger--open {

    }
}

.nav-open {

    .hamburger {

        span {
            opacity: 0;
            width: 100%;
        }

        &:after {
            top: 20px;
            width: 40px;
            left: calc(50% - 20px);
            transform:  rotate(45deg);
        }

        &:before {
            top: 20px;
            width: 40px;
            left: calc(50% - 20px);
            transform: rotate(-45deg);
        }
    }

    .nav-mobile {
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

    @include media-breakpoint-up(xl) {

        .nav-mobile {
            display: none;
        }
    }
}

.lng {
    font-size: 0;
    line-height: 0;
    display: block;
    position: relative;

    &__button {
        margin: 0;
        padding: 0;
        border: none;
        width: rem(48);
        height: rem(74);
        fill: #736F6D;
        color: #736F6D;
        font-weight: 500;
        font-size: rem(15);
        line-height: rem(20);
        background: transparent;
        text-transform: uppercase;
        display: flex;
        align-items: center;
    }

    &__name {
        display: block;
        flex-grow: 1;
    }

    &__arrow {
        font-size: 0;
        line-height: 0;
        height: rem(20);
        display: inline-flex;
    }

    &__dropdown {
        margin: 0;
        padding: 0;
        top: calc(100% + 12px);
        list-style: none;
        background: $white;
        font-weight: 500;
        font-size: rem(15);
        line-height: rem(20);
        border-radius: 8px;
        box-shadow: 0px 4px 20px rgba(82, 88, 102, 0.12);

        li {

            a {
                color: $black;
                display: block;
                padding: rem(8) rem(20) rem(7) rem(20);
                text-decoration: none;

                &:hover {
                    color: $blue;
                    text-decoration: none;
                }
            }
        }
    }

    &.open {

        .lng__arrow {
            transform: rotate(180deg);
        }
    }

    @include media-breakpoint-up(md) {

        &__button {
            height: rem(92);
        }
    }
}

.nav-mobile {
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 0;
    visibility: hidden;
    z-index: 850;
    top: rem(74);
    position: fixed;
    background: $white;
    overflow-y: auto;
    transition: .3s;

    &__wrap {
        padding: rem(36) 0;
    }

    &__menu {
        font-weight: 500;
        font-size: rem(15);
        line-height: rem(20);

        ul {
            margin: 0;
            padding: 0;
            list-style: none;

            li {

                &:not(:last-child) {
                    margin-bottom: 24px;
                }
            }

            a {
                color: $black;
                text-decoration: none;

                &:hover {
                    color: $black;
                    text-decoration: none;
                }
            }
        }
    }

    &__user {
        margin-bottom: rem(20);
        border-bottom: 1px solid #BFB9B6;
    }

    &__auth {
        margin-top: rem(28);
        padding-top: rem(28);
        border-top: 1px solid #BFB9B6;
    }

    @include media-breakpoint-up(md) {
        top: rem(92);

        &__user {
            display: none;
        }

        &__auth {
            display: none;
        }
    }

    @include media-breakpoint-up(xl) {
        display: none;
    }
}

.user {

    &__info {
        color: $black;
        font-weight: 500;
        font-size: rem(15);
        line-height: rem(20);
        margin-bottom: rem(20);
        display: flex;
        align-items: center;
    }

    &__logo {
        display: block;
        width: rem(60);
        height: rem(60);
        overflow: hidden;
        border-radius: 50%;
        flex-shrink: 0;
        margin-right: 16px;
    }


    &__nav {
        font-weight: 500;
        font-size: rem(15);
        line-height: rem(20);
    }

    &__menu {
        margin: 0;
        list-style: none;
        padding: rem(20) 0;
        border-top: 1px solid #BFB9B6;

        li {

            &:not(:last-child) {
                margin-bottom: rem(15);
            }

            a {
                fill: $gray;
                color: $gray;
                display: flex;
                align-items: center;
                text-decoration: none;
                transition: .3s;

                i {
                    font-size: 0;
                    line-height: 0;
                    height: rem(20);
                    margin-right: rem(9);
                    display: inline-block;
                }

                span {
                    display: inline-block;
                }

                &:hover {
                    color: $black;
                    text-decoration: none;
                    transition: .3s;
                }

                &.user-green {

                    &:hover {
                        fill: $green;
                    }
                }

                &.user-red {

                    &:hover {
                        fill: $red;
                    }
                }

                &.user-yellow {

                    &:hover {
                        fill: $yellow;
                    }
                }

                &.user-blue {

                    &:hover {
                        fill: $blue;
                    }
                }
            }
        }
    }
}

.user-profile {
    position: relative;

    &__button {
        fill: $black;
        color: $black;
        height: rem(92);
        text-decoration: none;
        margin: 0;
        padding: 0;
        border: none;
        outline: none;
        font-weight: 500;
        font-size: rem(15);
        line-height: rem(20);
        white-space: nowrap;
        background: transparent;
        display: flex;
        align-items: center;
        justify-content: center;

        &:hover {
            fill: $blue;
            color: $black;
            text-decoration: none;
        }
    }

    &__image {
        width: 60px;
        height: 60px;
        display: block;
        overflow: hidden;
        border-radius: 50%;
        margin-right: rem(15);
    }

    &__label {
        display: block;
        margin-right: rem(5);
    }

    &__arrow {
        font-size: 0;
        line-height: 0;
        height: rem(24);
        display: inline-block;
    }

    &__dropdown {
        top: 100%;
        right: 0;
        opacity: 0;
        visibility: hidden;
        min-width: rem(290);
        position: absolute;
        padding-top: rem(12);
        transition: .3s;
    }

    &__content {
        padding: rem(20);
        background: $white;
        border-radius: 8px;
        box-shadow: 0px 4px 20px rgba(82, 88, 102, 0.12);
    }

    &:hover {

        .user-profile {

            &__arrow {
                transform: rotate(180deg);
            }

            &__dropdown {
                opacity: 1;
                visibility: visible;
                transition: .3s;
            }
        }
    }
}

.header-nav {
    opacity: 0;
    visibility: hidden;
    width: rem(500);
    white-space: nowrap;
    display: flex;
    align-items: center;
    justify-content: center;

    &.priority-nav {
        opacity: 1;
        overflow: visible;
        visibility: visible;
    }

    &__content {
        margin: 0;
        padding: 0;
        font-weight: 500;
        font-size: rem(15);
        line-height: rem(20);
        list-style: none;
        display: flex;
        align-items: center;
        flex-wrap: nowrap;

        li {
            margin-right: rem(25);

            a {
                color: $black;
                height: rem(92);
                text-decoration: none;
                display: flex;
                align-items: center;
                transition: .3s;

                &:hover {
                    color: $blue;
                    text-decoration: none;
                    transition: .3s;
                }
            }
        }
    }

    &__dropdown-wrapper {
        display: block;
        position: relative;
    }

    &__toggle {
        margin: 0;
        padding: 0 rem(26) 0 0;
        border: none;
        outline: none;
        height: rem(92);
        font-weight: 500;
        cursor: pointer;
        font-size: rem(15);
        line-height: rem(20);
        position: relative;
        white-space: nowrap;
        background: transparent;
        display: flex;
        align-items: center;
        justify-content: center;

        &:hover {
            color: $blue;
            text-decoration: none;
        }

        &:before {
            right: 0;
            top: calc(50% - 12px);
            z-index: 1;
            content: '';
            width: 24px;
            height: 24px;
            position: absolute;
            background: url("../img/dropdown_base.svg") 50% 50% no-repeat;
        }
    }

    &__dropdown {
        top: calc(100% + 12px);
        right: 0;
        opacity: 0;
        margin: 0;
        list-style: none;
        font-weight: 500;
        font-size: rem(15);
        line-height: rem(20);
        visibility: hidden;
        min-width: rem(290);
        position: absolute;
        transition: .3s;
        padding: rem(20);
        background: $white;
        border-radius: 8px;
        box-shadow: 0px 4px 20px rgba(82, 88, 102, 0.12);

        &:before {
            top: -16px;
            content: '';
            right: rem(30);
            position: absolute;
            border: 8px solid transparent;
            border-bottom: 8px solid $white;
        }

        li {

            &:not(:last-child) {
                margin-bottom: rem(15);
            }

            a {
                color: $black;
                text-decoration: none;

                &:hover {
                    color: $blue;
                    text-decoration: none;
                }
            }
        }
    }

    &.is-open {

        .header-nav {

            &__toggle {

                &:before {
                    transform: rotate(180deg);
                }
            }

            &__dropdown {
                opacity: 1;
                visibility: visible;
                transition: .3s;
            }
        }
    }

    @include media-breakpoint-up(xxl) {
        width: rem(560);
    }
}

.header-message {
    color: $black;
    font-size: 0;
    line-height: 0;
    height: rem(92);
    white-space: nowrap;
    text-decoration: none;
    display: flex;
    align-items: center;
    transition: .3s;

    &:hover {
        color: $blue;
        text-decoration: none;
        transition: .3s;
    }

    &__text {
        display: none;
        font-weight: 500;
        font-size: rem(15);
        line-height: rem(20);
        margin-left: rem(12);
    }

    &__media {
        height: rem(22);
        position: relative;
    }

    &__num {
        top: -4px;
        right: -3px;
        z-index: 10;
        width: 17px;
        height: 17px;
        color: $white;
        font-weight: 600;
        font-size: 10px;
        line-height: 10px;
        text-align: center;
        background: $red;
        position: absolute;
        border-radius: 50%;
        border: 2px solid $white;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    @include media-breakpoint-up(xxl) {

        &__text {
            display: block;
        }
    }
}

.btn-inline {
    display: flex;
    align-items: center;

    &__item {

        &:not(:last-child) {
            margin-right: rem(10);
        }
    }
}
